## AgsFxSFZSynthAudio

AgsFxSFZSynthAudio — fx SFZ synth audio

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsFxSFZSynthAudioScopeData * | ags_fx_sfz_synth_audio_scope_data_alloc ()
void | ags_fx_sfz_synth_audio_scope_data_free ()
AgsFxSFZSynthAudioChannelData * | ags_fx_sfz_synth_audio_channel_data_alloc ()
void | ags_fx_sfz_synth_audio_channel_data_free ()
AgsFxSFZSynthAudioInputData * | ags_fx_sfz_synth_audio_input_data_alloc ()
void | ags_fx_sfz_synth_audio_input_data_free ()
AgsFxSFZSynthAudio * | ags_fx_sfz_synth_audio_new ()

## Properties

AgsPort * | chorus-delay | Read / Write
AgsPort * | chorus-depth | Read / Write
AgsPort * | chorus-enabled | Read / Write
AgsPort * | chorus-input-volume | Read / Write
AgsPort * | chorus-lfo-frequency | Read / Write
AgsPort * | chorus-lfo-oscillator | Read / Write
AgsPort * | chorus-mix | Read / Write
AgsPort * | chorus-output-volume | Read / Write
AgsPort * | chorus-pitch-type | Read / Write
AgsPort * | synth-key | Read / Write
AgsPort * | synth-octave | Read / Write
AgsPort * | synth-pitch-type | Read / Write
AgsPort * | synth-volume | Read / Write
AgsPort * | vibrato-enabled | Read / Write
AgsPort * | vibrato-gain | Read / Write
AgsPort * | vibrato-lfo-depth | Read / Write
AgsPort * | vibrato-lfo-freq | Read / Write
AgsPort * | vibrato-tuning | Read / Write

## Types and Values

struct | AgsFxSFZSynthAudioScopeData
struct | AgsFxSFZSynthAudioChannelData
struct | AgsFxSFZSynthAudioInputData

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudio
                ╰── AgsFxNotationAudio
                    ╰── AgsFxSFZSynthAudio

## Includes

    #include <ags/audio/fx/ags_fx_sfz_synth_audio.h>

## Description

The AgsFxSFZSynthAudio class provides ports to the effect processor.

## Functions

### ags_fx_sfz_synth_audio_scope_data_alloc ()

    AgsFxSFZSynthAudioScopeData *
    ags_fx_sfz_synth_audio_scope_data_alloc
                                   ();

Allocate AgsFxSFZSynthAudioScopeData

#### Returns

the new AgsFxSFZSynthAudioScopeData

Since: 3.17.0

### ags_fx_sfz_synth_audio_scope_data_free ()

    void
    ags_fx_sfz_synth_audio_scope_data_free
                                   (AgsFxSFZSynthAudioScopeData *scope_data);

Free `scope_data` .

#### Parameters

scope_data | the AgsFxSFZSynthAudioScopeData |

Since: 3.17.0

### ags_fx_sfz_synth_audio_channel_data_alloc ()

    AgsFxSFZSynthAudioChannelData *
    ags_fx_sfz_synth_audio_channel_data_alloc
                                   ();

Allocate AgsFxSFZSynthAudioChannelData

#### Returns

the new AgsFxSFZSynthAudioChannelData

Since: 3.17.0

### ags_fx_sfz_synth_audio_channel_data_free ()

    void
    ags_fx_sfz_synth_audio_channel_data_free
                                   (AgsFxSFZSynthAudioChannelData *channel_data);

Free `channel_data` .

#### Parameters

channel_data | the AgsFxSFZSynthAudioChannelData |

Since: 3.17.0

### ags_fx_sfz_synth_audio_input_data_alloc ()

    AgsFxSFZSynthAudioInputData *
    ags_fx_sfz_synth_audio_input_data_alloc
                                   ();

Allocate AgsFxSFZSynthAudioInputData

#### Returns

the new AgsFxSFZSynthAudioInputData

Since: 3.17.0

### ags_fx_sfz_synth_audio_input_data_free ()

    void
    ags_fx_sfz_synth_audio_input_data_free
                                   (AgsFxSFZSynthAudioInputData *input_data);

Free `input_data` .

#### Parameters

input_data | the AgsFxSFZSynthAudioInputData |

Since: 3.17.0

### ags_fx_sfz_synth_audio_new ()

    AgsFxSFZSynthAudio *
    ags_fx_sfz_synth_audio_new (AgsAudio *audio);

Create a new instance of AgsFxSFZSynthAudio

#### Parameters

audio | the AgsAudio |

#### Returns

the new AgsFxSFZSynthAudio

Since: 3.17.0

## Types and Values

### struct AgsFxSFZSynthAudioScopeData

    struct AgsFxSFZSynthAudioScopeData {
      GRecMutex strct_mutex;

      gpointer parent;

      guint audio_channels;

      AgsFxSFZSynthAudioChannelData **channel_data;
    };

### struct AgsFxSFZSynthAudioChannelData

    struct AgsFxSFZSynthAudioChannelData {
      GRecMutex strct_mutex;

      gpointer parent;

      AgsSFZSynthUtil *synth;

      AgsChorusUtil *chorus_util;

      AgsFxSFZSynthAudioInputData* input_data[AGS_SEQUENCER_MAX_MIDI_KEYS];
    };

### struct AgsFxSFZSynthAudioInputData

    struct AgsFxSFZSynthAudioInputData {
      GRecMutex strct_mutex;

      gpointer parent;

      guint key_on;
    };

## Property Details

### The `“chorus-delay”` property

      “chorus-delay”             AgsPort *

The chorus delay.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 3.17.0

### The `“chorus-depth”` property

      “chorus-depth”             AgsPort *

The chorus depth.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 3.17.0

### The `“chorus-enabled”` property

      “chorus-enabled”           AgsPort *

The chorus enabled.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 3.17.0

### The `“chorus-input-volume”` property

      “chorus-input-volume”      AgsPort *

The chorus input volume.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 3.17.0

### The `“chorus-lfo-frequency”` property

      “chorus-lfo-frequency”     AgsPort *

The chorus lfo frequency.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 3.17.0

### The `“chorus-lfo-oscillator”` property

      “chorus-lfo-oscillator”    AgsPort *

The chorus lfo oscillator.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 3.17.0

### The `“chorus-mix”` property

      “chorus-mix”               AgsPort *

The chorus mix.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 3.17.0

### The `“chorus-output-volume”` property

      “chorus-output-volume”     AgsPort *

The chorus output volume.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 3.17.0

### The `“chorus-pitch-type”` property

      “chorus-pitch-type”        AgsPort *

The pitch type.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

### The `“synth-key”` property

      “synth-key”                AgsPort *

The synth key.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 3.17.0

### The `“synth-octave”` property

      “synth-octave”             AgsPort *

The synth octave.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 3.17.0

### The `“synth-pitch-type”` property

      “synth-pitch-type”         AgsPort *

The synth's pitch type.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 4.0.0

### The `“synth-volume”` property

      “synth-volume”             AgsPort *

The synth volume.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 3.17.0

### The `“vibrato-enabled”` property

      “vibrato-enabled”          AgsPort *

The vibrato enabled.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 5.2.0

### The `“vibrato-gain”` property

      “vibrato-gain”             AgsPort *

The vibrato gain.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 5.2.4

### The `“vibrato-lfo-depth”` property

      “vibrato-lfo-depth”        AgsPort *

The vibrato LFO depth.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 5.2.0

### The `“vibrato-lfo-freq”` property

      “vibrato-lfo-freq”         AgsPort *

The vibrato LFO freq.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 5.2.0

### The `“vibrato-tuning”` property

      “vibrato-tuning”           AgsPort *

The vibrato tuning.

Owner: AgsFxSFZSynthAudio

Flags: Read / Write

Since: 5.2.0